[arch-commits] Commit in nodejs/repos (6 files)

2017-11-01 Thread Felix Yan
Date: Wednesday, November 1, 2017 @ 10:18:31
  Author: felixonmars
Revision: 264977

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  nodejs/repos/community-testing-i686/
  nodejs/repos/community-testing-i686/PKGBUILD
(from rev 264976, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-i686/rebuild.list
(from rev 264976, nodejs/trunk/rebuild.list)
  nodejs/repos/community-testing-x86_64/
  nodejs/repos/community-testing-x86_64/PKGBUILD
(from rev 264976, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-x86_64/rebuild.list
(from rev 264976, nodejs/trunk/rebuild.list)

---+
 community-testing-i686/PKGBUILD   |   72 
 community-testing-i686/rebuild.list   |1 
 community-testing-x86_64/PKGBUILD |   72 
 community-testing-x86_64/rebuild.list |1 
 4 files changed, 146 insertions(+)

Copied: nodejs/repos/community-testing-i686/PKGBUILD (from rev 264976, 
nodejs/trunk/PKGBUILD)
===
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2017-11-01 10:18:31 UTC (rev 264977)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai 
+# Contributor: Masutu Subric 
+# Contributor: TIanyi Cui 
+
+pkgname=nodejs
+pkgver=9.0.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;)
+sha512sums=('dfb1c11edc8f836e459bbdd5e7adf32594febfbf830fa9badbfce09b0f6afa1be0d9c89f98d6265a896ca5cd04eae1f9467635ded685d8723384bc0851090c93')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_&2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_&2_' \
+-e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+-e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+-e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+--prefix=/usr \
+--with-intl=system-icu \
+--without-npm \
+--shared-openssl \
+--shared-zlib \
+--shared-libuv \
+--shared-http-parser \
+--shared-cares
+# --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+"$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-testing-i686/rebuild.list (from rev 264976, 
nodejs/trunk/rebuild.list)
===
--- community-testing-i686/rebuild.list (rev 0)
+++ community-testing-i686/rebuild.list 2017-11-01 10:18:31 UTC (rev 264977)
@@ -0,0 +1 @@
+apm

Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 264976, 
nodejs/trunk/PKGBUILD)
===
--- community-testing-x86_64/PKGBUILD   (rev 0)
+++ community-testing-x86_64/PKGBUILD   2017-11-01 10:18:31 UTC (rev 264977)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai 
+# Contributor: Masutu Subric 
+# Contributor: TIanyi Cui 
+
+pkgname=nodejs
+pkgver=9.0.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;)
+sha512sums=('dfb1c11edc8f836e459bbdd5e7adf32594febfbf830fa9badbfce09b0f6afa1be0d9c89f98d6265a896ca5cd04eae1f9467635ded685d8723384bc0851090c93')

[arch-commits] Commit in nodejs/repos (6 files)

2017-06-08 Thread Felix Yan
Date: Thursday, June 8, 2017 @ 14:33:07
  Author: felixonmars
Revision: 235440

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
(from rev 235439, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-i686/rebuild.list
(from rev 235439, nodejs/trunk/rebuild.list)
  nodejs/repos/community-x86_64/PKGBUILD
(from rev 235439, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/rebuild.list
(from rev 235439, nodejs/trunk/rebuild.list)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

---+
 /PKGBUILD |  144 
 community-i686/PKGBUILD   |   72 
 community-i686/rebuild.list   |1 
 community-x86_64/PKGBUILD |   72 
 community-x86_64/rebuild.list |1 
 5 files changed, 146 insertions(+), 144 deletions(-)

Deleted: community-i686/PKGBUILD
===
--- community-i686/PKGBUILD 2017-06-08 14:32:38 UTC (rev 235439)
+++ community-i686/PKGBUILD 2017-06-08 14:33:07 UTC (rev 235440)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan 
-# Contributor  Bartłomiej Piotrowski 
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos 
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai 
-# Contributor: Masutu Subric 
-# Contributor: TIanyi Cui 
-
-pkgname=nodejs
-pkgver=8.0.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;)
-sha512sums=('cb4d19fc68c5f40066aa0aa06bc92840931033056dbfb9852f4ac6a07dc711559459a01142e9e6e2f68480471930bb89f9f12388b8b806b05007b0be2619f18e')
-
-prepare() {
-  cd node-$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
--e 's_^#!/usr/bin/env python$_&2_' \
--e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
--e 's_^#!/usr/bin/python$_&2_' \
--e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
--e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
--e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-$pkgver
-
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
---prefix=/usr \
---with-intl=system-icu \
---without-npm \
---shared-openssl \
---shared-zlib \
---shared-libuv \
---shared-http-parser \
---shared-cares
-# --shared-v8
-
-  make
-}
-
-check() {
-  cd node-$pkgver
-  # Expected failure: https://github.com/nodejs/node/issues/11627
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-"$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 235439, 
nodejs/trunk/PKGBUILD)
===
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2017-06-08 14:33:07 UTC (rev 235440)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai 
+# Contributor: Masutu Subric 
+# Contributor: TIanyi Cui 
+
+pkgname=nodejs
+pkgver=8.1.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;)
+sha512sums=('93d1a4c4f3808e57bfdc6ad41c720c9537b49a4fae64ec3c6ee6b98d8f999ca7f2208937729e9fd128e589e425a5e238d9e3e3a9d92e054c8d01099e372e9ae4')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_&2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_&2_' \
+-e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+-e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+-e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+

[arch-commits] Commit in nodejs/repos (6 files)

2017-05-18 Thread Jan de Groot
Date: Thursday, May 18, 2017 @ 14:22:01
  Author: jgc
Revision: 228475

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  nodejs/repos/community-staging-i686/
  nodejs/repos/community-staging-i686/PKGBUILD
(from rev 228474, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-staging-i686/nodejs-v8-icu59.patch
(from rev 228474, nodejs/trunk/nodejs-v8-icu59.patch)
  nodejs/repos/community-staging-x86_64/
  nodejs/repos/community-staging-x86_64/PKGBUILD
(from rev 228474, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-staging-x86_64/nodejs-v8-icu59.patch
(from rev 228474, nodejs/trunk/nodejs-v8-icu59.patch)

+
 community-staging-i686/PKGBUILD|   77 +++
 community-staging-i686/nodejs-v8-icu59.patch   |   63 ++
 community-staging-x86_64/PKGBUILD  |   77 +++
 community-staging-x86_64/nodejs-v8-icu59.patch |   63 ++
 4 files changed, 280 insertions(+)

Copied: nodejs/repos/community-staging-i686/PKGBUILD (from rev 228474, 
nodejs/trunk/PKGBUILD)
===
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2017-05-18 14:22:01 UTC (rev 228475)
@@ -0,0 +1,77 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai 
+# Contributor: Masutu Subric 
+# Contributor: TIanyi Cui 
+
+pkgname=nodejs
+pkgver=7.10.0
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;
+'nodejs-v8-icu59.patch')
+sha512sums=('b5a1c5167e9f22fccdf61e33a28b03f12c5bb51e4ceefa27b021c5c7e0f3c2ed021cb7ee0b34ea8c4fbf7cafc7a2658a64a7eaa73d75c4905c10683be32bbeb3'
+
'da8071f9b5d7c88c13b812cd422de412c7720a7644620be5e0af8fc79a4af8d8e764308b7607022953a0270c67a6cb2d98d5bad7c2c3974066ec348e4fe86c7b')
+
+prepare() {
+  cd node-$pkgver
+
+  # https://github.com/nodejs/node/pull/11754#issuecomment-285407461
+  patch -Np1 -d deps/v8 <../nodejs-v8-icu59.patch
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_&2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_&2_' \
+-e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+-e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+-e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+--prefix=/usr \
+--with-intl=system-icu \
+--without-npm \
+--shared-openssl \
+--shared-zlib \
+--shared-libuv \
+--shared-http-parser \
+--shared-cares
+# --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+"$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-staging-i686/nodejs-v8-icu59.patch (from rev 
228474, nodejs/trunk/nodejs-v8-icu59.patch)
===
--- community-staging-i686/nodejs-v8-icu59.patch
(rev 0)
+++ community-staging-i686/nodejs-v8-icu59.patch2017-05-18 14:22:01 UTC 
(rev 228475)
@@ -0,0 +1,63 @@
+Index: src/i18n.cc
+diff --git a/src/i18n.cc b/src/i18n.cc
+index 
d2245ef34a9a319a53b4cf4b4ea05ec095fef2d5..7c22871ff5e440f771659d44a0db013b34ec2105
 100644
+--- a/src/i18n.cc
 b/src/i18n.cc
+@@ -30,8 +30,13 @@
+ #include "unicode/ucol.h"
+ #include "unicode/ucurr.h"
+ #include "unicode/unum.h"
++#include "unicode/uvernum.h"
+ #include "unicode/uversion.h"
+ 
++#if U_ICU_VERSION_MAJOR_NUM >= 59
++#include "unicode/char16ptr.h"
++#endif
++
+ namespace v8 {
+ namespace internal {
+ 
+@@ -270,8 +275,13 @@ icu::DecimalFormat* CreateICUNumberFormat(
+   }
+ 
+   UErrorCode status_digits = U_ZERO_ERROR;
++#if U_ICU_VERSION_MAJOR_NUM >= 59
+   uint32_t fraction_digits = ucurr_getDefaultFractionDigits(
+-currency.getTerminatedBuffer(), _digits);
++  icu::toUCharPtr(currency.getTerminatedBuffer()), _digits);

[arch-commits] Commit in nodejs/repos (6 files)

2017-04-24 Thread Evangelos Foutras
Date: Tuesday, April 25, 2017 @ 04:39:09
  Author: foutrelis
Revision: 225242

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  nodejs/repos/community-staging-i686/
  nodejs/repos/community-staging-i686/PKGBUILD
(from rev 225241, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-staging-i686/nodejs-v8-icu59.patch
(from rev 225241, nodejs/trunk/nodejs-v8-icu59.patch)
  nodejs/repos/community-staging-x86_64/
  nodejs/repos/community-staging-x86_64/PKGBUILD
(from rev 225241, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-staging-x86_64/nodejs-v8-icu59.patch
(from rev 225241, nodejs/trunk/nodejs-v8-icu59.patch)

+
 community-staging-i686/PKGBUILD|   77 +++
 community-staging-i686/nodejs-v8-icu59.patch   |   63 ++
 community-staging-x86_64/PKGBUILD  |   77 +++
 community-staging-x86_64/nodejs-v8-icu59.patch |   63 ++
 4 files changed, 280 insertions(+)

Copied: nodejs/repos/community-staging-i686/PKGBUILD (from rev 225241, 
nodejs/trunk/PKGBUILD)
===
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2017-04-25 04:39:09 UTC (rev 225242)
@@ -0,0 +1,77 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai 
+# Contributor: Masutu Subric 
+# Contributor: TIanyi Cui 
+
+pkgname=nodejs
+pkgver=7.9.0
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz;
+'nodejs-v8-icu59.patch')
+sha256sums=('77b8f773ad7eca17e56e8d25f66be862999d6479a06767efe5ccf64f2dfd03ea'
+'38ffab18dd2cbb9ac2ee5f4cedffae6943abeb479427eeebd3e2870981cb089b')
+
+prepare() {
+  cd node-$pkgver
+
+  # https://github.com/nodejs/node/pull/11754#issuecomment-285407461
+  patch -Np1 -d deps/v8 <../nodejs-v8-icu59.patch
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_&2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_&2_' \
+-e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+-e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+-e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+--prefix=/usr \
+--with-intl=system-icu \
+--without-npm \
+--shared-openssl \
+--shared-zlib \
+--shared-libuv \
+--shared-http-parser \
+--shared-cares
+# --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+"$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-staging-i686/nodejs-v8-icu59.patch (from rev 
225241, nodejs/trunk/nodejs-v8-icu59.patch)
===
--- community-staging-i686/nodejs-v8-icu59.patch
(rev 0)
+++ community-staging-i686/nodejs-v8-icu59.patch2017-04-25 04:39:09 UTC 
(rev 225242)
@@ -0,0 +1,63 @@
+Index: src/i18n.cc
+diff --git a/src/i18n.cc b/src/i18n.cc
+index 
d2245ef34a9a319a53b4cf4b4ea05ec095fef2d5..7c22871ff5e440f771659d44a0db013b34ec2105
 100644
+--- a/src/i18n.cc
 b/src/i18n.cc
+@@ -30,8 +30,13 @@
+ #include "unicode/ucol.h"
+ #include "unicode/ucurr.h"
+ #include "unicode/unum.h"
++#include "unicode/uvernum.h"
+ #include "unicode/uversion.h"
+ 
++#if U_ICU_VERSION_MAJOR_NUM >= 59
++#include "unicode/char16ptr.h"
++#endif
++
+ namespace v8 {
+ namespace internal {
+ 
+@@ -270,8 +275,13 @@ icu::DecimalFormat* CreateICUNumberFormat(
+   }
+ 
+   UErrorCode status_digits = U_ZERO_ERROR;
++#if U_ICU_VERSION_MAJOR_NUM >= 59
+   uint32_t fraction_digits = ucurr_getDefaultFractionDigits(
+-currency.getTerminatedBuffer(), _digits);
++  icu::toUCharPtr(currency.getTerminatedBuffer()), _digits);
++#else
++  uint32_t fraction_digits = ucurr_getDefaultFractionDigits(
++  currency.getTerminatedBuffer(), 

[arch-commits] Commit in nodejs/repos (6 files)

2016-10-15 Thread Felix Yan
Date: Saturday, October 15, 2016 @ 06:45:48
  Author: felixonmars
Revision: 192288

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
(from rev 192287, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
(from rev 192287, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/6.8.0-build-fix.patch
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/6.8.0-build-fix.patch
  nodejs/repos/community-x86_64/PKGBUILD

+
 /PKGBUILD  |  138 +++
 community-i686/6.8.0-build-fix.patch   |   30 --
 community-i686/PKGBUILD|   74 
 community-x86_64/6.8.0-build-fix.patch |   30 --
 community-x86_64/PKGBUILD  |   74 
 5 files changed, 138 insertions(+), 208 deletions(-)

Deleted: community-i686/6.8.0-build-fix.patch
===
--- community-i686/6.8.0-build-fix.patch2016-10-15 06:44:56 UTC (rev 
192287)
+++ community-i686/6.8.0-build-fix.patch2016-10-15 06:45:48 UTC (rev 
192288)
@@ -1,30 +0,0 @@
-From fc164acbbb700fd50ab9c04b47fc1b2687e9c0f4 Mon Sep 17 00:00:00 2001
-From: "Bradley T. Hughes" 
-Date: Thu, 13 Oct 2016 07:38:38 +
-Subject: [PATCH] build: add -DZLIB_CONST when building with --shared-zlib
-
-Commit 782620f added the define only when building with the bundled
-zlib. Using a shared zlib results in build breakage:
-
-../src/inspector_agent.cc:179:16: error: assigning to 'Bytef *' (aka 'unsigned 
char *') from incompatible type
-  'const uint8_t *' (aka 'const unsigned char *')
-  strm.next_in = PROTOCOL_JSON + 3;
-   ^ ~
-1 error generated.

- node.gyp | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/node.gyp b/node.gyp
-index fa98547..d799ba1 100644
 a/node.gyp
-+++ b/node.gyp
-@@ -480,6 +480,8 @@
- }],
- [ 'node_shared_zlib=="false"', {
-   'dependencies': [ 'deps/zlib/zlib.gyp:zlib' ],
-+}, {
-+  'defines': [ 'ZLIB_CONST' ],
- }],
- 
- [ 'node_shared_http_parser=="false"', {

Deleted: community-i686/PKGBUILD
===
--- community-i686/PKGBUILD 2016-10-15 06:44:56 UTC (rev 192287)
+++ community-i686/PKGBUILD 2016-10-15 06:45:48 UTC (rev 192288)
@@ -1,74 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan 
-# Contributor  Bartłomiej Piotrowski 
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos 
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai 
-# Contributor: Masutu Subric 
-# Contributor: TIanyi Cui 
-
-pkgname=nodejs
-pkgver=6.8.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver;
-6.8.0-build-fix.patch)
-sha256sums=('SKIP'
-'bc9c4c1fcef55e6163daf7c4ee882d8a23973e16e28fea508ee72478cb9941fa')
-
-prepare() {
-  cd nodejs
-
-  # https://github.com/nodejs/node/issues/9076
-  patch -p1 -i ../6.8.0-build-fix.patch
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
--e 's_^#!/usr/bin/env python$_&2_' \
--e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
--e 's_^#!/usr/bin/python$_&2_' \
--e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
--e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
--e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PYTHON=python2
-  ./configure \
---prefix=/usr \
---with-intl=system-icu \
---without-npm \
---shared-openssl \
---shared-zlib \
---shared-libuv \
---shared-http-parser
-# --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  make test
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-"$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 192287, 
nodejs/trunk/PKGBUILD)
===
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2016-10-15 06:45:48 UTC (rev 192288)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 

[arch-commits] Commit in nodejs/repos (6 files)

2016-10-13 Thread Felix Yan
Date: Thursday, October 13, 2016 @ 09:09:39
  Author: felixonmars
Revision: 192155

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/6.8.0-build-fix.patch
(from rev 192154, nodejs/trunk/6.8.0-build-fix.patch)
  nodejs/repos/community-i686/PKGBUILD
(from rev 192154, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/6.8.0-build-fix.patch
(from rev 192154, nodejs/trunk/6.8.0-build-fix.patch)
  nodejs/repos/community-x86_64/PKGBUILD
(from rev 192154, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

+
 /PKGBUILD  |  148 +++
 community-i686/6.8.0-build-fix.patch   |   30 ++
 community-i686/PKGBUILD|   69 --
 community-x86_64/6.8.0-build-fix.patch |   30 ++
 community-x86_64/PKGBUILD  |   69 --
 5 files changed, 208 insertions(+), 138 deletions(-)

Copied: nodejs/repos/community-i686/6.8.0-build-fix.patch (from rev 192154, 
nodejs/trunk/6.8.0-build-fix.patch)
===
--- community-i686/6.8.0-build-fix.patch(rev 0)
+++ community-i686/6.8.0-build-fix.patch2016-10-13 09:09:39 UTC (rev 
192155)
@@ -0,0 +1,30 @@
+From fc164acbbb700fd50ab9c04b47fc1b2687e9c0f4 Mon Sep 17 00:00:00 2001
+From: "Bradley T. Hughes" 
+Date: Thu, 13 Oct 2016 07:38:38 +
+Subject: [PATCH] build: add -DZLIB_CONST when building with --shared-zlib
+
+Commit 782620f added the define only when building with the bundled
+zlib. Using a shared zlib results in build breakage:
+
+../src/inspector_agent.cc:179:16: error: assigning to 'Bytef *' (aka 'unsigned 
char *') from incompatible type
+  'const uint8_t *' (aka 'const unsigned char *')
+  strm.next_in = PROTOCOL_JSON + 3;
+   ^ ~
+1 error generated.
+---
+ node.gyp | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/node.gyp b/node.gyp
+index fa98547..d799ba1 100644
+--- a/node.gyp
 b/node.gyp
+@@ -480,6 +480,8 @@
+ }],
+ [ 'node_shared_zlib=="false"', {
+   'dependencies': [ 'deps/zlib/zlib.gyp:zlib' ],
++}, {
++  'defines': [ 'ZLIB_CONST' ],
+ }],
+ 
+ [ 'node_shared_http_parser=="false"', {

Deleted: community-i686/PKGBUILD
===
--- community-i686/PKGBUILD 2016-10-13 09:09:05 UTC (rev 192154)
+++ community-i686/PKGBUILD 2016-10-13 09:09:39 UTC (rev 192155)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan 
-# Contributor  Bartłomiej Piotrowski 
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos 
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai 
-# Contributor: Masutu Subric 
-# Contributor: TIanyi Cui 
-
-pkgname=nodejs
-pkgver=6.7.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver;)
-sha256sums=('SKIP')
-
-prepare() {
-  cd nodejs
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
--e 's_^#!/usr/bin/env python$_&2_' \
--e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
--e 's_^#!/usr/bin/python$_&2_' \
--e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
--e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
--e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PYTHON=python2
-  ./configure \
---prefix=/usr \
---with-intl=system-icu \
---without-npm \
---shared-openssl \
---shared-zlib \
---shared-libuv \
---shared-http-parser
-# --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-"$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 192154, 
nodejs/trunk/PKGBUILD)
===
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2016-10-13 09:09:39 UTC (rev 192155)
@@ -0,0 +1,74 @@
+# $Id$
+# Maintainer: Felix Yan 
+# Contributor  Bartłomiej Piotrowski 
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos 

[arch-commits] Commit in nodejs/repos (6 files)

2015-05-23 Thread Felix Yan
Date: Sunday, May 24, 2015 @ 07:49:08
  Author: fyan
Revision: 134024

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
(from rev 134023, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
(from rev 134023, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-i686/nodejs.install
  nodejs/repos/community-x86_64/PKGBUILD
  nodejs/repos/community-x86_64/nodejs.install

-+
 /PKGBUILD   |  144 ++
 community-i686/PKGBUILD |   73 ---
 community-i686/nodejs.install   |7 -
 community-x86_64/PKGBUILD   |   73 ---
 community-x86_64/nodejs.install |7 -
 5 files changed, 144 insertions(+), 160 deletions(-)

Deleted: community-i686/PKGBUILD
===
--- community-i686/PKGBUILD 2015-05-24 05:48:33 UTC (rev 134023)
+++ community-i686/PKGBUILD 2015-05-24 05:49:08 UTC (rev 134024)
@@ -1,73 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan felixonm...@archlinux.org
-# Contributor  Bartłomiej Piotrowski bpiotrow...@archlinux.org
-# Contributor: Thomas Dziedzic  gostrc at gmail 
-# Contributor: James Campos james.r.cam...@gmail.com
-# Contributor: BlackEagle  ike DOT devolder AT gmail DOT com 
-# Contributor: Dongsheng Cai dongsheng at moodle dot com
-# Contributor: Masutu Subric masutu.arch at googlemail dot com
-# Contributor: TIanyi Cui tianyi...@gmail.com
-
-pkgname=nodejs
-pkgver=0.12.3
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-install=nodejs.install
-source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz;)
-sha256sums=('e65d83c6f2c874e28f65c5e192ac0acd2bbb52bfcf9d77e33442d6765a3eb9da')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
--e 's_^#!/usr/bin/env python$_2_' \
--e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
--e 's_^#!/usr/bin/python$_2_' \
--e s_'python'_'python2'_ -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
---prefix=/usr \
---with-intl=system-icu \
---without-npm \
---shared-openssl \
---shared-zlib
-# --shared-libuv
-# --shared-v8
-# --shared-cares
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || warning Tests failed
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR=$pkgdir install
-
-  # install docs as per user request
-  install -d $pkgdir/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-$pkgdir/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-$pkgdir/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 134023, 
nodejs/trunk/PKGBUILD)
===
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2015-05-24 05:49:08 UTC (rev 134024)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan felixonm...@archlinux.org
+# Contributor  Bartłomiej Piotrowski bpiotrow...@archlinux.org
+# Contributor: Thomas Dziedzic  gostrc at gmail 
+# Contributor: James Campos james.r.cam...@gmail.com
+# Contributor: BlackEagle  ike DOT devolder AT gmail DOT com 
+# Contributor: Dongsheng Cai dongsheng at moodle dot com
+# Contributor: Masutu Subric masutu.arch at googlemail dot com
+# Contributor: TIanyi Cui tianyi...@gmail.com
+
+pkgname=nodejs
+pkgver=0.12.4
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz;)
+sha256sums=('3298d0997613a04ac64343e8316da134d04588132554ae402eb344e3369ec912')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_2_' \
+-e s_'python'_'python2'_ -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+--prefix=/usr \
+--with-intl=system-icu \
+--without-npm \
+--shared-openssl \
+--shared-zlib
+# --shared-libuv
+# --shared-v8
+# --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning Tests failed
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR=$pkgdir install
+
+  # install 

[arch-commits] Commit in nodejs/repos (6 files)

2015-05-01 Thread Felix Yan
Date: Friday, May 1, 2015 @ 11:43:52
  Author: fyan
Revision: 132581

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  nodejs/repos/community-testing-i686/
  nodejs/repos/community-testing-i686/PKGBUILD
(from rev 132580, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-i686/nodejs.install
(from rev 132580, nodejs/trunk/nodejs.install)
  nodejs/repos/community-testing-x86_64/
  nodejs/repos/community-testing-x86_64/PKGBUILD
(from rev 132580, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-x86_64/nodejs.install
(from rev 132580, nodejs/trunk/nodejs.install)

-+
 community-testing-i686/PKGBUILD |   73 ++
 community-testing-i686/nodejs.install   |7 ++
 community-testing-x86_64/PKGBUILD   |   73 ++
 community-testing-x86_64/nodejs.install |7 ++
 4 files changed, 160 insertions(+)

Copied: nodejs/repos/community-testing-i686/PKGBUILD (from rev 132580, 
nodejs/trunk/PKGBUILD)
===
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2015-05-01 09:43:52 UTC (rev 132581)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan felixonm...@archlinux.org
+# Contributor  Bartłomiej Piotrowski bpiotrow...@archlinux.org
+# Contributor: Thomas Dziedzic  gostrc at gmail 
+# Contributor: James Campos james.r.cam...@gmail.com
+# Contributor: BlackEagle  ike DOT devolder AT gmail DOT com 
+# Contributor: Dongsheng Cai dongsheng at moodle dot com
+# Contributor: Masutu Subric masutu.arch at googlemail dot com
+# Contributor: TIanyi Cui tianyi...@gmail.com
+
+pkgname=nodejs
+pkgver=0.12.2
+pkgrel=4
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+install=nodejs.install
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz;)
+sha256sums=('ac7e78ade93e633e7ed628532bb8e650caba0c9c33af33581957f3382e2a772d')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+-e 's_^#!/usr/bin/env python$_2_' \
+-e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+-e 's_^#!/usr/bin/python$_2_' \
+-e s_'python'_'python2'_ -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+--prefix=/usr \
+--with-intl=system-icu \
+--without-npm \
+--shared-openssl \
+--shared-zlib
+# --shared-libuv
+# --shared-v8
+# --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning Tests failed
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR=$pkgdir install
+
+  # install docs as per user request
+  install -d $pkgdir/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+$pkgdir/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+$pkgdir/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-testing-i686/nodejs.install (from rev 132580, 
nodejs/trunk/nodejs.install)
===
--- community-testing-i686/nodejs.install   (rev 0)
+++ community-testing-i686/nodejs.install   2015-05-01 09:43:52 UTC (rev 
132581)
@@ -0,0 +1,7 @@
+post_install () {
+  echo Notice: npm is not shipped with nodejs since 0.12.2-4, please install 
npm manually if you need it.
+}
+
+post_upgrade () {
+  post_install
+}

Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 132580, 
nodejs/trunk/PKGBUILD)
===
--- community-testing-x86_64/PKGBUILD   (rev 0)
+++ community-testing-x86_64/PKGBUILD   2015-05-01 09:43:52 UTC (rev 132581)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan felixonm...@archlinux.org
+# Contributor  Bartłomiej Piotrowski bpiotrow...@archlinux.org
+# Contributor: Thomas Dziedzic  gostrc at gmail 
+# Contributor: James Campos james.r.cam...@gmail.com
+# Contributor: BlackEagle  ike DOT devolder AT gmail DOT com 
+# Contributor: Dongsheng Cai dongsheng at moodle dot com
+# Contributor: Masutu Subric masutu.arch at googlemail dot com
+# Contributor: TIanyi Cui tianyi...@gmail.com
+
+pkgname=nodejs
+pkgver=0.12.2
+pkgrel=4
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+install=nodejs.install
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz;)